NewSignedDataStreamTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.test

## Class NewSignedDataStreamTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cms.test.NewSignedDataStreamTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NewSignedDataStreamTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewSignedDataStreamTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAttributeGenerators()`
    `void` | `testCertOrdering1()`
    `void` | `testCertOrdering2()`
    `void` | `testCertsOnly()`
    `void` | `testCertStoreReplacement()`
    `void` | `testDSANoAttributes()`
    `void` | `testEncapsulatedCertStoreReplacement()`
    `void` | `testEncapsulatedSignerStoreReplacement()`
    `void` | `testMSPKCS7()`
    `void` | `testSHA1AndMD5WithRSA()`
    `void` | `testSha1EncapsulatedSignature()`
    `void` | `testSHA1WithRSA()`
    `void` | `testSHA1WithRSAAndOtherRevocation()`
    `void` | `testSHA1WithRSAEncapsulated()`
    `void` | `testSHA1WithRSAEncapsulatedBuffered()`
    `void` | `testSHA1WithRSAEncapsulatedBufferedStream()`
    `void` | `testSHA1WithRSAEncapsulatedSubjectKeyID()`
    `void` | `testSHA1WithRSANoAttributes()`
    `void` | `testSHA1WithRSANonData()`
    `void` | `testSignerStoreReplacement()`
    `void` | `testWithAttributeCertificate()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewSignedDataStreamTest

          public NewSignedDataStreamTest(java.lang.String name)

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Exception`

    - #### testSha1EncapsulatedSignature

          public void testSha1EncapsulatedSignature()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSANoAttributes

          public void testSHA1WithRSANoAttributes()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDSANoAttributes

          public void testDSANoAttributes()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSA

          public void testSHA1WithRSA()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAAndOtherRevocation

          public void testSHA1WithRSAAndOtherRevocation()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSANonData

          public void testSHA1WithRSANonData()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1AndMD5WithRSA

          public void testSHA1AndMD5WithRSA()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAEncapsulatedBufferedStream

          public void testSHA1WithRSAEncapsulatedBufferedStream()
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAEncapsulatedBuffered

          public void testSHA1WithRSAEncapsulatedBuffered()
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAEncapsulated

          public void testSHA1WithRSAEncapsulated()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAEncapsulatedSubjectKeyID

          public void testSHA1WithRSAEncapsulatedSubjectKeyID()
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAttributeGenerators

          public void testAttributeGenerators()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testWithAttributeCertificate

          public void testWithAttributeCertificate()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSignerStoreReplacement

          public void testSignerStoreReplacement()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testEncapsulatedSignerStoreReplacement

          public void testEncapsulatedSignerStoreReplacement()
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertStoreReplacement

          public void testCertStoreReplacement()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testEncapsulatedCertStoreReplacement

          public void testEncapsulatedCertStoreReplacement()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertOrdering1

          public void testCertOrdering1()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertOrdering2

          public void testCertOrdering2()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertsOnly

          public void testCertsOnly()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMSPKCS7

          public void testMSPKCS7()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`